Microsoft.NETCore.App 版本不一致导致的运行失败

原创
2017/05/25 13:18
阅读数 1.7W

场景重现

今天新建了一个 ASP.NET Core 的项目, 通过 Web Deploy 顺利发布到IIS上后, 但访问时出现如下异常:
HTTP Error 502.5 - Process Failure

异常原因

通过手动执行dotnet命令发现运行框架版本不一致?

D:\publish\mywebapp\dotnet mywebapp.dll
The specified framework 'Microsoft.NETCore.App', version '1.1.2' was not found.
  - Check application dependencies and target a framework version installed at:
      C:\Program Files\dotnet\shared\Microsoft.NETCore.App
  - The following versions are installed:
      1.0.4
      1.1.1
  - Alternatively, install the framework version '1.1.2'.

回想了下,上周好像更新过一次VS2017,应该是那时候把开发环境的 .Net Core 升级成了 1.1.2.,而服务器上还是旧版本的导致的(这里比较奇怪的是高版本为什么不兼容低版本?).

解决办法

下载指定的 .Net Core 版本,安装到服务器上即可.

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部